# $Revision: 1.34 $, $Date: 2008/07/27 22:46:53 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive
#
%include	/usr/lib/rpm/macros.perl
Summary:	Resources - handling application defaults in Perl
Summary(pl.UTF-8):	Resources - obsługiwanie wartości domyślnych w Perlu
Name:		perl-Resources
Version:	1.04
Release:	13
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Resources/Resources-%{version}.tar.gz
# Source0-md5:	59c1e2bcfddecf6ca0c55031c482042d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Resources.pm is Perl package used to specify configuration (defaults,
...)  parameters for Perl applications, pretty much in the same way as
X Window System does.  It implements dynamical inheritance of defaults
(both values and names) through subclassing, parameter loading from
files, runtime parameter viewing and editing. The package contains an
extensive documentation in POD format, to which you are kindly
referred.

%description -l pl.UTF-8
Resources.pm to pakiet Perla używany do przekazywania konfiguracji
(domyślnych wartości) do aplikacji perlowych w podobny sposób, jak
robi to system X Window. Moduł ma zaimplementowane dynamiczne
dziedziczenie wielkości domyślnych (zarówno wartości, jak i nazw)
poprzez podklasy, wczytywanie parametrów z plików, przeglądanie i
edycję parametrów w czasie działania. Pakiet zawiera obszerną
dokumentację.

%prep
%setup -q -n Resources-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Resources.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Resources.spec,v $
Revision 1.34  2008/07/27 22:46:53  arekm
- release 13

Revision 1.33  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.31  2004/05/07 01:04:50  ankry
- rel. 12

Revision 1.30  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/27 21:29:22  ankry
- test added, but disabled (interactive)

Revision 1.28  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/07/31 13:14:40  qboosh
- fixed License field
  (pointed by author - Francesco Callari <fgcallari at yahoo.com>
- release 11

Revision 1.25  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:38:00  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/08/13 22:03:46  qboosh
- pl description, release 9

Revision 1.18  2002/08/11 19:36:49  radek
- release up

Revision 1.17  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.16  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 20:48:40  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:32:57  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:14:59  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 15:58:02  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
